#pragma once

#include "CoreMinimal.h"
#include "ActorPathFollowingComponent.h"
#include "MovingSnowman_PathFollowingComponent.generated.h"

class UCurveFloat;

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class WINTEREVENT2024_API UMovingSnowman_PathFollowingComponent : public UActorPathFollowingComponent
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	UCurveFloat* _decelerationCurve;

public:
	UMovingSnowman_PathFollowingComponent();
};

FORCEINLINE uint32 GetTypeHash(const UMovingSnowman_PathFollowingComponent) { return 0; }
